#ifndef _GRAFF_LETTER
#define _GRAFF_LETTER

#include "ofMain.h"
#include "ofVec3f.h"
#include "vectorField.h"
#include "ofCvGrayscaleImage.h"
#include "cv.h"


class graffLetter  {
	
	public:
		
		graffLetter(){};
		
		
		void keyPressed  (int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased();
		
		
		/// all theo ---------------------------
		void setup();
		void clear();
		void newLetter();
		int borderSize;
		int blackSize;
		int offsetx;	// 3d yo ! (-15, 15);
		int offsety;	// 3d yo ! (-15, 15)
		float stength;	// how strong we add to VF.
		void addLine(float x1, float y1, float x2, float y2);
		void update();
		void draw();
		/// all theo ---------------------------
		
		
		
		int 				width, height;
		
		void 				setupBrush(ofCvGrayscaleImage &brush, int width);
		void 				setupShadowBrush(ofCvGrayscaleImage &brush, int width);
		
		ofCvGrayscaleImage	cvImgWhite;
		ofCvGrayscaleImage	cvImgBlack;
		ofCvGrayscaleImage	cvImgBottom;
		ofCvGrayscaleImage	cvImgTop;
		ofCvGrayscaleImage	cvImgMix;
		
		
		ofCvGrayscaleImage	cvWhiteBrush;
		ofCvGrayscaleImage	cvBlackBrush;
		ofCvGrayscaleImage	cvDropShadowBrush;
		
		ofCvGrayscaleImage	cvTopLayerMask;
		ofCvGrayscaleImage  cvBottomLayerMask;
				

};

#endif	
